=head1 NAME

Gtk2::FileFilter - wrapper for GtkFileFilter

=cut

=head1 HIERARCHY

  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::FileFilter



=cut


=head1 METHODS

=head2 filefilter = Gtk2::FileFilter-E<gt>B<new> 

=head2 $filter-E<gt>B<add_custom> ($needed, $func, $data=undef)

=over

=item * $needed (Gtk2::FileFilterFlags) 

=item * $func (scalar) 

=item * $data (scalar) 

=back

=head2 $filter-E<gt>B<add_mime_type> ($mime_type)

=over

=item * $mime_type (string) 

=back

=head2 $filter-E<gt>B<add_pattern> ($pattern)

=over

=item * $pattern (string) 

=back

=head2 $filter-E<gt>B<add_pixbuf_formats> 

Since: gtk+ 2.6

=head2 boolean = $filter-E<gt>B<filter> ($filter_info)

=over

=item * $filter_info (scalar) 

=back

=head2 string = $filter-E<gt>B<get_name> 

=head2 $filter-E<gt>B<set_name> ($name)

=over

=item * $name (string) 

=back

=head2 filefilterflags = $filter-E<gt>B<get_needed> 



=cut


=head1 ENUMS AND FLAGS

=head2 flags Gtk2::FileFilterFlags

=over

=item * 'filename' / 'GTK_FILE_FILTER_FILENAME'

=item * 'uri' / 'GTK_FILE_FILTER_URI'

=item * 'display-name' / 'GTK_FILE_FILTER_DISPLAY_NAME'

=item * 'mime-type' / 'GTK_FILE_FILTER_MIME_TYPE'

=back




=cut


=head1 SEE ALSO

L<Gtk2>, L<Glib::Object>, L<Glib::InitiallyUnowned>, L<Gtk2::Object>


=cut


=head1 COPYRIGHT

Copyright (C) 2003-2011 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.



=cut

